Subject: bug#66863: closed (Re: bug#66863: [PATCH] Add two docstrings in cl-macs.el)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 04 Nov 2023 10:43:02 +0000

Your bug report

#66863: [PATCH] Add two docstrings in cl-macs.el

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66863: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66863
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66863: [PATCH] Add two docstrings in cl-macs.el
From: Stefan Kangas <[email-masked]>
To: Jeremy Bryant <[email-masked]>, Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Sat, 4 Nov 2023 03:41:56 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Jeremy Bryant via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> Thank you, I've made a note on conventions.  For this patch, as you have
> pushed, does this mean this is closed?

I think so, yes.  Now done.

Subject: [PATCH] Add two docstrings in cl-macs.el
From: Jeremy Bryant <[email-masked]>
To: [email-masked], Stefan Monnier <[email-masked]>
Date: Tue, 31 Oct 2023 22:36:57 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch

Hi Emacs maintainers,

Here is a proposed patch with two docstrings added to cl-macs.el where
there were none previously.  In particular, from previous changes, I
assume that Stefan you may be familiar with this area?  I look forward
to your feedback.

Best
Jeremy 

>From 9a0d8649511377a160f410fd73f74558f4a8e9dc Mon Sep 17 00:00:00 2001
From: Jeremy Bryant <[email-masked]>
Date: Tue, 31 Oct 2023 22:24:20 +0000
Subject: [PATCH] Add two docstrings in cl-macs.el

* lisp/emacs-lisp/cl-macs.el (cl--simple-exprs-p)
(cl--const-expr-p): Add docstrings.
---
 lisp/emacs-lisp/cl-macs.el | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/lisp/emacs-lisp/cl-macs.el b/lisp/emacs-lisp/cl-macs.el
index 43207ce7026..fd19bca60d9 100644
--- a/lisp/emacs-lisp/cl-macs.el
+++ b/lisp/emacs-lisp/cl-macs.el
@@ -101,6 +101,7 @@ cl--simple-expr-p
     (and (> size 0) (1- size))))
 
 (defun cl--simple-exprs-p (xs)
+  "Check if no side effects, and executes quickly, for each element of list XS."
   (while (and xs (cl--simple-expr-p (car xs)))
     (setq xs (cdr xs)))
   (not xs))
@@ -118,6 +119,7 @@ cl--safe-expr-p
 
 ;;; Check if constant (i.e., no side effects or dependencies).
 (defun cl--const-expr-p (x)
+  "Check if X is constant (i.e., no side effects or dependencies)."
   (cond ((consp x)
 	 (or (eq (car x) 'quote)
 	     (and (memq (car x) '(function cl-function))
-- 
2.40.1